## aoetools 10

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,27 @@
 SBINDIR = ${PREFIX}/usr/sbin
 MANDIR = ${PREFIX}/usr/share/man
 
+# NPERSHELF is the number of slot addresses per shelf address.
+# This number must match the same setting in the aoe driver.
+#
+# Older aoe drivers have NPERSHELF set to 10, and newer ones 
+# use 16.
+#
+# You can see the setting in your driver like this in the driver
+# source directory.  (Change into the "linux" directory if you're
+# using the standalone driver from the Coraid.)
+#
+#   grep 'NPERSHELF.*=' drivers/block/aoe/aoe.h
+#
+NPERSHELF=16
+
 # end of user-configurable variables
 
 
 # these scripts are created from the *.in files
-CONF_SCRIPTS = aoe-discover aoe-interfaces
+CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate
 PROGS = aoeping
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-mkshelf aoe-stat ${PROGS}
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-stat ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
@@ -35,15 +49,15 @@
 
 configure :
 	@for f in ${CONF_SCRIPTS}; do \
-	  sh -xc "sed 's!@devdir@!${DEVDIR}!g' $$f.in > $$f" || break; \
+	  sh -xc "sed -e 's!@devdir@!${DEVDIR}!g' -e 's!@npershelf@!${NPERSHELF}!g' $$f.in > $$f" || break; \
 	done
 
-install : configure
+install : all
 	mkdir -p ${SBINDIR}
 	mkdir -p ${MANDIR}/man8
 	@for f in ${COMMANDS}; do \
-	  sh -xc "install -m 700 $$f ${SBINDIR}/$$f" || break; \
-	  sh -xc "install -m 664 $$f.8 ${MANDIR}/man8/$$f.8" || break; \
+	  sh -xc "install -m 700 $$f ${DESTDIR}${SBINDIR}/$$f" || break; \
+	  sh -xc "install -m 664 $$f.8 ${DESTDIR}${MANDIR}/man8/$$f.8" || break; \
 	done
 
 clean :
