## aoetools 11

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	  sh -xc "sed -e 's!@devdir@!${DEVDIR}!g' -e 's!@npershelf@!${NPERSHELF}!g' $$f.in > $$f" || break; \
 	done
 
+# DESTDIR was put in for Rob Holland to make gentoo packaging easier
 install : all
 	mkdir -p ${SBINDIR}
 	mkdir -p ${MANDIR}/man8
