## aoetools 23

=== Makefile ===
--- 
+++ 
@@ -37,12 +37,13 @@
 
 
 # these scripts are created from the *.in files
-CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate
-PROGS = aoeping
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-stat ${PROGS}
+CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
+PROGS = aoeping aoecfg
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
+AOE_CFG_OBJ = aoecfg.o linux.o
 
 all : configure ${PROGS}
 	@true
@@ -54,8 +55,8 @@
 
 # DESTDIR was put in for Rob Holland to make gentoo packaging easier
 install : all
-	mkdir -p ${SBINDIR}
-	mkdir -p ${MANDIR}/man8
+	mkdir -p ${DESTDIR}${SBINDIR}
+	mkdir -p ${DESTDIR}${MANDIR}/man8
 	@for f in ${COMMANDS}; do \
 	  sh -xc "install -m 700 $$f ${DESTDIR}${SBINDIR}/$$f" || break; \
 	  sh -xc "install -m 664 $$f.8 ${DESTDIR}${MANDIR}/man8/$$f.8" || break; \
@@ -70,3 +71,7 @@
 	${CC} ${CFLAGS} -o $@ -c $<
 linux.o : linux.c config.h
 	${CC} ${CFLAGS} -o $@ -c $<
+aoecfg: ${AOE_CFG_OBJ}
+	${CC} ${CFLAGS} -o $@ ${AOE_CFG_OBJ}
+aoecfg.o : aoecfg.c dat.h fns.h
+	${CC} ${CFLAGS} -o $@ -c $<
