## aoetools 26

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # these scripts are created from the *.in files
 CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
 PROGS = aoeping aoecfg
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version ${PROGS}
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version coraid-update ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
@@ -63,7 +63,7 @@
 	done
 
 clean :
-	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${PROGS}
+	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${PROGS}
 
 aoeping : ${AOE_PING_OBJ}
 	${CC} ${CFLAGS} -o $@ ${AOE_PING_OBJ}
