## aoetools 30

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #
 # You can see the setting in your driver like this in the driver
 # source directory.  (Change into the "linux" directory if you're
-# using the standalone driver from the Coraid.)
+# using the standalone driver from CORAID.)
 #
 #   grep 'NPERSHELF.*=' drivers/block/aoe/aoe.h
 #
