## aoetools 36

=== Makefile ===
--- 
+++ 
@@ -38,12 +38,14 @@
 
 # these scripts are created from the *.in files
 CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
-PROGS = aoeping aoecfg
+PROGS = aoeping aoecfg aoe-sancheck
 COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version coraid-update ${PROGS}
 CFLAGS = -Wall -O -g
+SANCHECKLIBS = -lpthread
 
 AOE_PING_OBJ = aoeping.o linux.o
 AOE_CFG_OBJ = aoecfg.o linux.o
+SANCHECK_OBJ = aoe-sancheck.o
 
 all : configure ${PROGS}
 	@true
@@ -63,7 +65,7 @@
 	done
 
 clean :
-	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${PROGS}
+	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${SANCHECK_OBJ} ${PROGS}
 
 aoeping : ${AOE_PING_OBJ}
 	${CC} ${CFLAGS} -o $@ ${AOE_PING_OBJ}
@@ -75,3 +77,8 @@
 	${CC} ${CFLAGS} -o $@ ${AOE_CFG_OBJ}
 aoecfg.o : aoecfg.c dat.h fns.h
 	${CC} ${CFLAGS} -o $@ -c $<
+aoe-sancheck : ${SANCHECK_OBJ}
+	-$(CC) $(CFLAGS) -o $@ ${SANCHECK_OBJ} $(SANCHECKLIBS)
+aoe-sancheck.o : aoe-sancheck.c
+	-$(CC) $(CFLAGS) -o $@ -c $<
+
