=== debian/control ===
Source: aoetools
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://aoetools.sf.net
Standards-Version: 4.6.2
Vcs-Browser: https://git.in-ulm.de/cbiedl/aoetools
Vcs-Git: https://git.in-ulm.de/cbiedl/aoetools.git
Build-Depends: debhelper-compat (= 13),
Priority: optional
Rules-Requires-Root: no
Section: admin

Package: aoetools
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tools to assist in using ATA over Ethernet
 The aoetools are the client-side programs of the ATA over Ethernet
 (AoE) network storage protocol, a simple protocol for using storage
 over an ethernet LAN.
