=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade -u"start 41 S . start 34 0 6 ."
	dh_installsystemd --name=aoe-discover
